petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESComputeFunction

Calls the function that has been set with SNESSetFunction().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESComputeFunction(SNES snes,Vec x,Vec y)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| x | - input vector

### Output Parameter

y -function vector, as set by SNESSetFunction()

### Notes

SNESComputeFunction() is typically used within nonlinear solvers implementations, so most users would not generally call this routine themselves.

### See Also

SNESSetFunction(), SNESGetFunction()

### Level

developer

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/snes/examples/tutorials/ex1f.F90.html
src/ts/examples/tutorials/ex48.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages